## qtwebkit 2.3.4.dfsg

=== debian/changelog ===
qtwebkit (2.3.4.dfsg-3) unstable; urgency=medium

  * Backport fix_cloop_on_big_endian_machines.patch (Closes: #761040).
  * Backport do_not_use_jit_on_big_endian_machines.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 16 Oct 2014 17:13:04 -0300

qtwebkit (2.3.4.dfsg-2) unstable; urgency=medium

  * Add fix_linking_issue_[...]_gstreamer_1.0.patch to workaround the linking
    issues in most platforms (Closes: #763507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 02 Oct 2014 13:15:14 -0300

qtwebkit (2.3.4.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Respect the number of parralel builds specified in DEB_BUILD_OPTIONS
    (Closes: #761821).
    - Remove bound_cpu_usage.patch as this is now not needed.
  * Remove patches already present in this version.
    - upstream_changeset_119798.diff
    - double_conversion_correct_double_operations.patch
    - ppc64el.patch
    - gstreamer-1.0.diff
    - x32_support.patch
    - arm64.patch
    - hppa_support.patch
  * Refresh patches.
  * Update glibc_hurd_mkspecs.diff. I removed the first part of the patch
    because now the source uses unix* which should work. The rest was just a
    refresh.
  * Remove nonlinux_enable_glib_support.patch. It now doesn't applies and the
    gstreamer stuff is setted up in other places.
  * Backport jsobject_ensure_indexingtype_should_handle_InterceptsGetOwn.patch
    (Closes: #762636).
  * Update symbols files with buildds' logs.
  * Simplify libqtwebkit4.install.
  * Fix clean rule: pass -f to rm in order to avoid it to fail in case no file was
    found by the previous command. Also add -v for the sake of verbose logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Sep 2014 00:43:36 -0300

qtwebkit (2.3.2.dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Also disable JIT on hppa and add support for it in Platform.h trough
    hppa_support.patch (Closes: #760759).
  * Add Steven Chamberlain's nonlinux_enable_glib_support.patch to use glibc in
    kFreeBSD-* and Hurd (Closes: #760727). Thanks *a lot* to everyone involved.

  [ Felix Geyer ]
  * Export build flags to build-webkit.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Sep 2014 12:39:47 +0200

qtwebkit (2.3.2.dfsg-3) unstable; urgency=medium

  * Disable JIT also in s390x.
  * Build depend upon libqt4-dev >= 4:4.8.6+git64-g5dc8b2b+dfsg-2~ so as to
    be sure to be using the version of xmlpatterns that does not consumes a
    lot of memory.
  * Ensure ppc64el is built in little endian mode with
    Colin Watson's ppc64el.patch.
  * Bound CPU usage on unknown platforms with bound_cpu_usage.patch
    (Closes: #760519). Thanks Samuel Thibault for the patch.
  * Update symbols files with buildds' logs.
  * Add x32_support.patch to support x32 (Closes: #700093).
    - Also disable JIT on x32.
  * Add arm64.patch (taken from Ubuntu's aarch64.patch) and modify it to
    properly detect arm64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 05 Sep 2014 19:19:16 -0300

qtwebkit (2.3.2.dfsg-2) unstable; urgency=medium

  * Refresh no_gc_sections.diff.
  * Update patches from qtwebkit-opensource-src, we are having the same
    codebase here.
    - Updated no_gc_sections.diff.
    - Added fix_nonlinux_glibc_linkage.diff,
      double_conversion_correct_double_operations.patch and
      reduce_memory_usage.patch.
  * Add armel, mips and mipsel to the list of archs that should not build the
    JIT asembler.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Sep 2014 19:12:02 -0300

qtwebkit (2.3.2.dfsg-1) unstable; urgency=medium

  [ Andreas Cord-Landwehr ]
  * New upstream release: QtWebKit 2.3 is a backport of QtWebkit for
    Qt 5 to Qt 4 (Closes: #755396)
  * Update patches:
    - remove Fix_build_with_GLib_2.31_changeset_r97269, applied upstream
    - remove upstream_changeset_r93631.diff, applied upstream
    - remove upstream_changeset_r113848.diff, applied upstream 
    - remove upstream_Build-fixes-for-glib-2.31.diff, applied upstream
    - add build fix: upstream_changeset_119798.patch
    - remove 01_lflags_as-needed.diff
      and set --as-needed linker flag, to avoid useless linking, in debian/rules
    - remove stabs_format_debug_info.diff, flags set in debian/rules
    - new patch hide_wtf_symbols.diff, to hide WTF symbols
    - new patch hide_jsc_symbols.diff, to hide JSC symbols
  * Switch to building with ./Tools/Scripts/build-webkit as recommended
    by upstream
  * Build with gstreamer-1.x: (Closes: #756098)
    - bump build dependencies to
      - libgstreamer-plugins-base1.0-dev
      - libgstreamer1.0-dev
    - add patch gstreamer-1.0.diff
  * Add flex and bison build-dependencies
  * Add ruby build-dependency
  * Add libfontconfig build-dependency
  * Add libjpeg build dependency.
  * Bump standards version to 3.9.5, no changes needed
  * Update copyright file.
  * Remove sourceless files from tarball.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Acknowledge previous NMU (thanks Matthias!).
    - Remove ignore-new_gcc_warnings.diff introduced in the NMU, as the code
      that it patches is no longer there.
  * The source package needs to be repackaged to comply with the DFSG, so
    adding .dfsg to the version. Note we can't use +dfsg because the build
    system doesn't likes it.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Sep 2014 18:33:38 -0300

qtwebkit (2.2.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore warnings introduced by GCC 4.9. Closes: #746907.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 13:23:55 +0200
