=== debian/control ===
--- 
+++ 
@@ -4,19 +4,24 @@
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: bison,
+               debhelper (>= 9),
+               flex,
                gperf,
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
+               libfontconfig-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libicu-dev,
-               libqt4-dev (>= 4:4.8.1),
+               libjpeg-dev,
+               libqt4-dev (>= 4:4.8.6+git64-g5dc8b2b+dfsg-2~),
                libqt4-opengl-dev (>= 4:4.8.1),
                libsqlite3-dev,
                libxext-dev,
                libxrender-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.4
+               pkg-kde-tools (>= 0.6.4),
+               ruby
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtwebkit.git
