## qtwebkit 2.3.4.dfsg.1

=== debian/changelog ===
qtwebkit (2.3.4.dfsg.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Jul 2021 15:34:08 +0800

qtwebkit (2.3.4.dfsg-10) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Change section from libs to oldlibs.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879429)

  [ Manuel A. Fernandez Montecelo ]
  * Add riscv64-support.patch to support new arch riscv64 (Closes: #901566)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Jun 2018 22:00:25 -0300

qtwebkit (2.3.4.dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add m68k_support.diff to add basic m68k support (Closes: #844722).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 23 Nov 2016 11:46:11 +0100

qtwebkit (2.3.4.dfsg-9) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Acknowledge previous NMU which was coordinated with me. Thanks John!

  [ Pino Toscano ]
  * Update symbols file. (Closes: #812160)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 21 Oct 2016 08:55:27 -0300

qtwebkit (2.3.4.dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python to Build-Depends in debian/control (Closes: #832844).
  * Add powerpcspe to the list of architectures where the JIT
    should be disabled (Closes: #781446).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 03 Aug 2016 03:47:19 +0200

qtwebkit (2.3.4.dfsg-8) unstable; urgency=medium

  * Disable JIT use on non-SSE2 capable machines (Closes: #824663). Thanks
    Peter Nowee!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 May 2016 12:23:30 -0300

qtwebkit (2.3.4.dfsg-7) unstable; urgency=medium

  * Add fix_number_of_cpus_in_kfreebsd.diff to bound the number of CPUs used
    to compile webkit on KFreeBSD (Closes: #819868). Thanks Jon Boden!
  * Properly detect x32 in Atomics.h (Closes: #821013). Thanks James Clarke!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 15 Apr 2016 20:40:17 -0300

qtwebkit (2.3.4.dfsg-6) unstable; urgency=medium

  * Add alpha, m68k, ppc64, sh4 and sparc64 to the list of architectures where
    the JIT should be disabled (Closes: #806837).
  * Add redeclare_uint32_t_for_sparc64.patch which redeclares uint32_t for
    sparc64, also part of the above bug.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Dec 2015 19:38:09 -0300

qtwebkit (2.3.4.dfsg-5) unstable; urgency=medium

  * Disable JIT on mips64 and mips64el. Thanks James Cowgill for the patch
    (Closes: #725651).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 18 Sep 2015 09:40:51 -0300

qtwebkit (2.3.4.dfsg-4) unstable; urgency=medium

  * Backport explicit_template_instantiation.patch to fix a build issue with
    gcc5.
  * Update symbols files with current build log using gcc5 (Closes: #778096).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Aug 2015 21:31:59 -0300
